Summary: 	PHEX is a client for Gnutella / GNet Network(s)
Name: 		phex
Version: 	2.6.4.89
Release: 	1
License: 	GPL
Group:		Internet
URL:            http://phex.kouk.de/
Source0:	%{name}_%{version}.zip
Source1:	%{name}.desktop
Buildroot: 	%{_tmppath}/%{name}-buildroot

%description
Phex is a simple file-sharing program. It allows you to share
and download any type of files from other users on the Gnutella 
network.
 
Phex is based on Java technology and therefore available for many
different systems like Windows, Mac OS X, Linux and other.

#prep
%setup -q

%build
rm -rf $RPM_BUILD_DIR/%{name}_%{version}

%install
rm -rf $RPM_BUILD_ROOT
pkunzip %{SOURCE0} -d $RPM_BUILD_DIR
mkdir -p $RPM_BUILD_ROOT/usr/share/phex
cp -R $RPM_BUILD_DIR/%{name}_%{version}/* $RPM_BUILD_ROOT/usr/share/phex
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}
